Bug 334181 - Kernel keeps oopsing and system hard hangs.
Kernel keeps oopsing and system hard hangs.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 08:37 EDT by Declan McArdle
Modified: 2008-06-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
content of /var/log/messages relating to another oops (4.08 KB, text/plain)
2007-10-18 04:48 EDT, Declan McArdle
no flags Details
Anoth oops from messages (4.71 KB, text/plain)
2007-10-18 17:57 EDT, Declan McArdle
no flags Details
oops from dmesg (4.74 KB, text/plain)
2007-10-31 08:11 EDT, Declan McArdle
no flags Details

  None (edit)
Description Declan McArdle 2007-10-16 08:37:18 EDT
Description of problem:

Kernel keeps oopsing and system hard hangs.

Version-Release number of selected component (if applicable):

Linux bosher 2.6.22.9-61.fc6 #1 SMP Thu Sep 27 18:07:59 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux

How reproducible:

100% (takes between 1 hour and 2 days to happen)

Steps to Reproduce:
1. Launch bittorrent-curses or Azureus (a java applet)
2. Start some data transfer
3. Wait....
  
Actual results:

xterm window flashes with some kernel oops text, system hangs.

Expected results:

File should be downloaded, system should not hang.

Additional info:

I know there's not enough technical information here, can you let me know how to
produce a core dump or a stacktrace or how to get info to
ksymoops/savecore/whatever I should have activated to trap this info.

I've looked around for FAQ info for kernel oops info, but can't find anything to
help me turn on more debugging info to help capture more info.

I've now downloaded kernel-debug, but haven't booted into it yet.
Comment 1 Declan McArdle 2007-10-16 10:58:01 EDT
Just happened again, this is all that appeared in my current window:
--
Message from syslogd@bosher at Tue Oct 16 16:40:37 2007 ...
bosher kernel: Oops: 0000 [1] SMP

Message from syslogd@bosher at Tue Oct 16 16:40:37 2007 ...
bosher kernel: CR2: 0000000000000067
--
sysrq-t ability turned on via sysctl, will see if this writes any more
information to /var/log/messages when I can get someone to physically get to the
machine.
Comment 2 Chuck Ebbert 2007-10-16 11:34:44 EDT
Try booting to runlevel 3 if possible and running the apps from there, so the
oops messages can make it to the screen. Or try serial console or netconsole.
Comment 3 Declan McArdle 2007-10-16 18:10:02 EDT
More info:

Oct 16 16:40:37 bosher kernel: Unable to handle kernel NULL pointer dereference
at 0000000000000067 RIP:
Oct 16 16:40:37 bosher kernel:  [<ffffffff81108556>] generic_make_request+0xb9/0x2bf
Oct 16 16:40:37 bosher kernel: PGD 18f28067 PUD 3e6bb067 PMD 0
Oct 16 16:40:37 bosher kernel: Oops: 0000 [1] SMP
Oct 16 16:40:37 bosher kernel: last sysfs file: /kernel/kexec_crash_loaded
Oct 16 16:40:37 bosher kernel: CPU 0
Oct 16 16:40:37 bosher kernel: Modules linked in: snd_seq_midi it87 hwmon_vid
i2c_isa eeprom hidp rfcomm l2cap bluetooth sunrpc cpufreq_ondemand dm_mirror
dm_multipath dm_mod video sbs button dock battery ac ipv6 lp snd_intel8x0
snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
floppy snd_pcm_oss sg nvidia(P)(U) snd_mixer_oss snd_pcm forcedeth snd_timer
snd_page_alloc i2c_nforce2 shpchp k8temp hwmon ohci1394 i2c_core ns558 gameport
snd_mpu401 serio_raw snd_mpu401_uart snd_rawmidi usblp snd_seq_device ide_cd
usb_storage parport_pc snd cdrom parport soundcore sata_nv libata sd_mod
scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Oct 16 16:40:37 bosher kernel: Pid: 2411, comm: kjournald Tainted: P      
2.6.22.9-61.fc6 #1
Oct 16 16:40:37 bosher kernel: RIP: 0010:[<ffffffff81108556>] 
[<ffffffff81108556>] generic_make_request+0xb9/0x2bf
Oct 16 16:40:37 bosher kernel: RSP: 0018:ffff810058719d30  EFLAGS: 00010246
Oct 16 16:40:37 bosher kernel: RAX: ffffffffffffffff RBX: ffff810037f9cb00 RCX:
ffffffff814ae1c0
Oct 16 16:40:37 bosher kernel: RDX: ffff810058719fd8 RSI: 0000000000000c41 RDI:
ffffffff8134c430
Oct 16 16:40:37 bosher kernel: RBP: ffff810037f9cb00 R08: ffff810059335a98 R09:
ffffffff8106ebbe
Oct 16 16:40:37 bosher kernel: R10: ffff81005f272000 R11: ffffffff81105960 R12:
ffff810037f9cb00
Oct 16 16:40:37 bosher kernel: R13: ffff81004dfd0cc0 R14: 0000000000000001 R15:
ffff810058401000
Oct 16 16:40:37 bosher kernel: FS:  00002aaaaaad6f30(0000)
GS:ffffffff813ec000(0000) knlGS:00000000f7fd26c0
Oct 16 16:40:37 bosher kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Oct 16 16:40:37 bosher kernel: CR2: 0000000000000067 CR3: 00000000180dd000 CR4:
00000000000006e0
Oct 16 16:40:37 bosher kernel: Process kjournald (pid: 2411, threadinfo
ffff810058718000, task ffff81005b950000)
Oct 16 16:40:37 bosher kernel: Stack:  0000000000011210 0000000000000010
ffff810058401000 0000000800000206
Oct 16 16:40:37 bosher kernel:  0000000000000010 ffffffff8106ebbe
0000000000000287 ffff81001e31e4e0
Oct 16 16:40:37 bosher kernel:  ffffffff8143aa70 0000000000000001
ffff810058719e0c ffff810037f9cb00
Oct 16 16:40:37 bosher kernel: Call Trace:
Oct 16 16:40:37 bosher kernel:  [<ffffffff8106ebbe>] mempool_alloc+0x42/0xf8
Oct 16 16:40:37 bosher kernel:  [<ffffffff8110aac0>] submit_bio+0xc9/0xd0
Oct 16 16:40:37 bosher kernel:  [<ffffffff810b29b5>] submit_bh+0xdf/0xff
Oct 16 16:40:37 bosher kernel:  [<ffffffff880291d7>]
:jbd:journal_do_submit_data+0x2a/0x38
Oct 16 16:40:37 bosher kernel:  [<ffffffff88029669>]
:jbd:journal_commit_transaction+0x46f/0x106e
Oct 16 16:40:37 bosher kernel:  [<ffffffff8103c018>] lock_timer_base+0x26/0x4c
Oct 16 16:40:37 bosher kernel:  [<ffffffff8802d0e3>] :jbd:kjournald+0xb9/0x212
Oct 16 16:40:37 bosher kernel:  [<ffffffff8104592d>]
autoremove_wake_function+0x0/0x2e
Oct 16 16:40:37 bosher kernel:  [<ffffffff8802d02a>] :jbd:kjournald+0x0/0x212
Oct 16 16:40:37 bosher kernel:  [<ffffffff810457d8>] kthread+0x47/0x73
Oct 16 16:40:37 bosher kernel:  [<ffffffff8100a978>] child_rip+0xa/0x12
Oct 16 16:40:37 bosher kernel:  [<ffffffff81045791>] kthread+0x0/0x73
Oct 16 16:40:37 bosher kernel:  [<ffffffff8100a96e>] child_rip+0x0/0x12
Oct 16 16:40:37 bosher kernel:
Oct 16 16:40:37 bosher kernel:
Oct 16 16:40:37 bosher kernel: Code: 48 8b 40 68 48 c1 f8 09 74 1e 48 63 54 24
1c 48 8b 4d 00 48
Oct 16 16:40:37 bosher kernel: RIP  [<ffffffff81108556>]
generic_make_request+0xb9/0x2bf
Oct 16 16:40:37 bosher kernel:  RSP <ffff810058719d30>
Oct 16 16:40:37 bosher kernel: CR2: 0000000000000067
Oct 16 23:50:46 bosher syslogd 1.4.1: restart.

Don't know if this is/was the original problem or me trying to start kdump as
suggested by someone in #fedora-kernel, but at least there's more info.

Trying to log to netconsole as suggested by cebbert, don't appear to have it,
but will investigate.

Comment 4 Chuck Ebbert 2007-10-16 18:59:51 EDT
/usr/src/debug/kernel-2.6.22/linux-2.6.22.x86_64/block/ll_rw_blk.c:3139
ffffffff8110854e:       48 8b 45 10             mov    0x10(%rbp),%rax
ffffffff81108552:       48 8b 40 08             mov    0x8(%rax),%rax
ffffffff81108556:       48 8b 40 68             mov    0x68(%rax),%rax

       maxsector = bio->bi_bdev->bd_inode->i_size >> 9;

bd_inode == -1
Comment 5 Declan McArdle 2007-10-18 04:48:53 EDT
Created attachment 230801 [details]
content of /var/log/messages relating to another oops

Happened again, looks the same as last time, is there a way to determine
exactly which filesystem is causing the problem, or should I just reboot to
single-user mode and fsck all filesystems.  It might be the rootfs, so I'll
have to wait until I'm at the machine again.
Comment 6 Declan McArdle 2007-10-18 17:57:57 EDT
Created attachment 231671 [details]
Anoth oops from messages
Comment 7 Declan McArdle 2007-10-24 09:17:49 EDT
System stable since Saturday after fsck -f of all filesystems, will monitor for
another week and then close ticket.
Comment 8 Declan McArdle 2007-10-31 08:11:02 EDT
Created attachment 244481 [details]
oops from dmesg
Comment 9 Declan McArdle 2007-10-31 08:11:40 EDT
System keeps crashing, another oops attached code: section seems different:

Code: 0f b7 85 b2 00 00 00 25 00 f0 00 00 3d 00 40 00 00 75 55 48
Comment 10 Declan McArdle 2007-10-31 16:00:40 EDT
Same again: Code: 0f b7 85 b2 00 00 00 25 00 f0 00 00 3d 00 40 00 00 75 55 48
what does this translate to? At this stage, I will upgrade to FC7 and buy new
hard disks (yes, I know one shouldn't change two things at the same time, but
upgrade first and then see how things go before I install the new HDs)
Comment 11 Chuck Ebbert 2007-10-31 17:12:54 EDT
Try running without VirtualBox.
Comment 12 Declan McArdle 2007-11-12 13:41:36 EST
VMWare and Virtualbox not running.

More problems:

Nov 12 07:04:57 bosher kernel: Unable to handle kernel NULL pointer dereference
at 00000000000000ff RIP:
Nov 12 07:04:57 bosher kernel:  [<ffffffff810944b7>] rw_verify_area+0x24/0x7e
Nov 12 07:04:57 bosher kernel: PGD 281b8067 PUD 0
Nov 12 07:04:57 bosher kernel: Oops: 0000 [1] SMP
Nov 12 07:04:57 bosher kernel: last sysfs file: /block/hdd/size
Nov 12 07:04:57 bosher kernel: CPU 0
Nov 12 07:04:57 bosher kernel: Modules linked in: udf hfsplus nls_utf8 it87
hwmon_vid i2c_isa eeprom hidp l2cap bluetooth sunrpc cpufreq_ondemand dm_mirror
dm_multipath dm_mod video sbs button dock battery ac ipv6 lp snd_intel8x0
snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_pcm_oss floppy snd_mixer_oss sg snd_pcm nvidia(P)(U) snd_timer
snd_page_alloc i2c_nforce2 shpchp forcedeth ohci1394 k8temp i2c_core hwmon
snd_mpu401 snd_mpu401_uart snd_rawmidi snd_seq_device snd parport_pc parport
soundcore ide_cd ns558 usb_storage cdrom gameport serio_raw usblp sata_nv libata
sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Nov 12 07:04:57 bosher kernel: Pid: 3851, comm: java Tainted: P      
2.6.22.9-61.fc6 #1
Nov 12 07:04:57 bosher kernel: RIP: 0010:[<ffffffff810944b7>] 
[<ffffffff810944b7>] rw_verify_area+0x24/0x7e
Nov 12 07:04:57 bosher kernel: RSP: 0018:ffff8100265f1e68  EFLAGS: 00010206
Nov 12 07:04:57 bosher kernel: RAX: 00000000000000a0 RBX: 00000000000000a0 RCX:
0000000000000000
Nov 12 07:04:57 bosher kernel: RDX: ffff8100265f1f50 RSI: ffffffffffffffff RDI:
0000000000000001
Nov 12 07:04:57 bosher kernel: RBP: 0000000000000001 R08: 0000000000000010 R09:
ffff81000800ed00
Nov 12 07:04:57 bosher kernel: R10: 0000000000001022 R11: 0000000000000202 R12:
ffff8100265f1f50
Nov 12 07:04:57 bosher kernel: R13: 00000000000000a0 R14: 0000000000000010 R15:
00000000000000a0
Nov 12 07:04:57 bosher kernel: FS:  0000000040fd0940(0063)
GS:ffffffff813ec000(0000) knlGS:00000000f7bb56c0
Nov 12 07:04:57 bosher kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 12 07:04:57 bosher kernel: CR2: 00000000000000ff CR3: 000000002939d000 CR4:
00000000000006e0
Nov 12 07:04:57 bosher kernel: Process java (pid: 3851, threadinfo
ffff8100265f0000, task ffff81002fe6c800)
Nov 12 07:04:57 bosher kernel: Stack:  ffff81000800ed00 ffffffff810948d4
00002aaacd317320 0000000000000011
Nov 12 07:04:57 bosher kernel:  00000000401627a0 0000000000000008
00002aaacc04c000 ffffffff81048f41
Nov 12 07:04:57 bosher kernel:  00002aaacd317a20 00000000029f38d6
ffff8100265f1ee8 ffffffff81048088
Nov 12 07:04:57 bosher kernel: Call Trace:
Nov 12 07:04:57 bosher kernel:  [<ffffffff810948d4>] do_readv_writev+0x70/0x1ae
Nov 12 07:04:57 bosher kernel:  [<ffffffff81048f41>] getnstimeofday+0x32/0x8d
Nov 12 07:04:57 bosher kernel:  [<ffffffff81048088>] ktime_get_ts+0x1a/0x4e
Nov 12 07:04:57 bosher kernel:  [<ffffffff81061ea2>] audit_syscall_entry+0x141/0x174
Nov 12 07:04:57 bosher kernel:  [<ffffffff81094eb0>] sys_writev+0x45/0x93
Nov 12 07:04:57 bosher kernel:  [<ffffffff81009cd5>] tracesys+0xd5/0xda
Nov 12 07:04:57 bosher kernel:
Nov 12 07:04:57 bosher kernel:
Nov 12 07:04:57 bosher kernel: Code: 48 83 be 00 01 00 00 00 74 37 48 8b 86 f8
00 00 00 f6 40 58
Nov 12 07:04:57 bosher kernel: RIP  [<ffffffff810944b7>] rw_verify_area+0x24/0x7e
Nov 12 07:04:57 bosher kernel:  RSP <ffff8100265f1e68>
Nov 12 07:04:57 bosher kernel: CR2: 00000000000000ff
Comment 13 Chuck Ebbert 2007-11-12 15:06:52 EST
inode == -1 again

Is the java application accessing files on an hfs filesystem?
Comment 14 Declan McArdle 2007-11-13 04:49:04 EST
HFS as in Mac? No, nor NFS either.  I've run e2fsck -f and badblocks on the
filesystem that the java application writes to.  Would there be a problem with
the actual journal area for the ext3 fs (seeing as kjournald appears to be the
(main) process having the problem)?  Is it possible to re-create the journal
area or would I have to convert to ext2 and then add a journal file?

Although I do see a reference to hdd here, I do have a DVD disc in hdd at the
moment.
Comment 15 Chuck Ebbert 2007-11-13 14:27:26 EST
Try running without the nvidia driver, so you have a completely clean system
running with no proprietary modules. If the problem continues we can ask about
it on linux-kernel mailing list.
Comment 16 Declan McArdle 2007-11-13 15:35:40 EST
Nvidia disabled and 3rd-party package removed:

$ rpm -qa|grep -i nv
kmod-nvidia-100.14.19-1.2.6.22.9_61.fc6.x86_64
xorg-x11-drv-nv-1.2.0-4.fc6.x86_64

but....
$ sudo /sbin/modprobe -l|grep nvidia
/lib/modules/2.6.22.9-61.fc6/kernel/drivers/video/nvidia/nvidiafb.ko
/lib/modules/2.6.22.9-61.fc6/extra/nvidia/nvidia.ko <----------------------

Can I just rm the extra module and reboot as modprobe -r doesn't seem to do
anything:

# modprobe -vr nvidia
# modprobe -vvr nvidia
# modprobe -vvr /lib/modules/2.6.22.9-61.fc6/extra/nvidia/nvidia
FATAL: Module /lib/modules/2.6.22.9_61.fc6/extra/nvidia/nvidia not found.
# modprobe -vvr /lib/modules/2.6.22.9-61.fc6/extra/nvidia/nvidia.ko
FATAL: Module /lib/modules/2.6.22.9_61.fc6/extra/nvidia/nvidia.ko not found.

Is that what the (U) beside (P) stands for? Unloaded?
Comment 17 Chuck Ebbert 2007-11-13 15:49:48 EST
Just erase the kmod-nvidia package. It can always be reinstalled again later.
Comment 18 Declan McArdle 2007-11-14 17:48:32 EST
Not tainted.

Unable to handle kernel NULL pointer dereference at 00000000000000b1 RIP:
 [<ffffffff810cb4a3>] dnotify_flush+0x18/0x88
PGD 185b8067 PUD 13a92067 PMD 0
Oops: 0000 [1] SMP
last sysfs file: /module/libata/version
CPU 0
Modules linked in: nls_utf8 it87 hwmon_vid i2c_isa eeprom hidp l2cap bluetooth
sunrpc cpufreq_ondemand dm_mirror dm_multipath dm_mod video sbs button dock
battery ac ipv6 lp snd_intel8x0 floppy snd_ac97_codec ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq sg snd_pcm_oss snd_mixer_oss snd_pcm
i2c_nforce2 snd_timer forcedeth snd_page_alloc shpchp ohci1394 k8temp hwmon
i2c_core snd_mpu401 snd_mpu401_uart snd_rawmidi snd_seq_device snd parport_pc
parport ns558 soundcore gameport usb_storage serio_raw usblp ide_cd cdrom
sata_nv libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Pid: 5242, comm: bittorrent-curs Not tainted 2.6.22.9-61.fc6 #1
RIP: 0010:[<ffffffff810cb4a3>]  [<ffffffff810cb4a3>] dnotify_flush+0x18/0x88
RSP: 0018:ffff8100185bbf18  EFLAGS: 00010296
RAX: ffff8100dd229ea0 RBX: ffff810005012f00 RCX: 0000000000000013
RDX: 0000000000000000 RSI: ffff8100440fac00 RDI: ffff810005012f00
RBP: ffffffffffffffff R08: 0000000000000013 R09: 00000000013338a8
R10: 0000000000000000 R11: 0000000000000202 R12: ffff810005012f00
R13: ffff8100440fac00 R14: 00000000006f4360 R15: 00002aaab2a09290
FS:  00002aaaaaad6f30(0000) GS:ffffffff813ec000(0000) knlGS:00000000f7bb56c0
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000b1 CR3: 00000000135d2000 CR4: 00000000000006e0
Process bittorrent-curs (pid: 5242, threadinfo ffff8100185ba000, task
ffff81005054c800)
Stack:  0000000300000002 ffff810005012f00 ffff8100440fac00 0000000000000000
 00000038e7443c30 ffffffff81092d5b ffff8100440fac00 0000000000000013
 ffff810005012f00 ffffffff81093df3 00002aaab2a039d0 00002aaab2a092c0
Call Trace:
 [<ffffffff81092d5b>] filp_close+0x4a/0x65
 [<ffffffff81093df3>] sys_close+0x8c/0xc9
 [<ffffffff81009cd5>] tracesys+0xd5/0xda


Code: 0f b7 85 b2 00 00 00 25 00 f0 00 00 3d 00 40 00 00 75 55 48
RIP  [<ffffffff810cb4a3>] dnotify_flush+0x18/0x88
 RSP <ffff8100185bbf18>
CR2: 00000000000000b1
Comment 19 Declan McArdle 2007-11-14 17:59:22 EST
Note the different Code: sections though:

Code: 48 83 be 00 01 00 00 00 74 37 48 8b 86 f8 00 00 00 f6 40 58 - bad inode
Code: 0f b7 85 b2 00 00 00 25 00 f0 00 00 3d 00 40 00 00 75 55 48 - don't know,
first reported Oct 31st.
Comment 20 Chuck Ebbert 2007-11-14 18:39:01 EST
fs/dnotify.c:46:

        inode = filp->f_path.dentry->d_inode;
===>    if (!S_ISDIR(inode->i_mode))
                return;

inode is -1 again
Comment 21 Declan McArdle 2007-11-14 18:48:53 EST
OK, so, non-tainted kernel - not possible to determine exact filesystem, so what
now?
Comment 22 Declan McArdle 2007-11-15 20:43:41 EST
Can we raise this to medium priority or go ahead with the posting to generic
linux-kernel?  I think I've met all the pre-requisites now. Thanks.
Comment 23 Chuck Ebbert 2007-11-16 18:34:57 EST
It has already been posted to linux-kernel. No replies so far.
Comment 24 Declan McArdle 2007-11-26 12:17:43 EST
Still happens in FC7 with or without nvidia driver. 

Code: section seems different.
------------[ cut here ]------------
kernel BUG at kernel/exit.c:603!
invalid opcode: 0000 [3] SMP
CPU 0
Modules linked in: nvidia(P)(U) ipt_MASQUERADE iptable_nat nf_nat
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink ipt_REJECT xt_tcpudp
iptable_filter ip_tables x_tables bridge it87 hwmon_vid eeprom hidp l2cap
bluetooth sunrpc cpufreq_ondemand dm_mirror dm_multipath dm_mod video output sbs
battery ac ipv6 sr_mod cdrom snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy
ns558 parport_pc gameport snd_mpu401 snd_mpu401_uart parport snd_rawmidi k8temp
firewire_ohci snd_seq_oss hwmon firewire_core snd_seq_midi_event crc_itu_t
snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm button snd_timer
usb_storage forcedeth snd pata_amd soundcore snd_page_alloc i2c_nforce2 usblp
floppy i2c_core sg ata_generic sata_nv libata sd_mod scsi_mod ext3 jbd mbcache
ehci_hcd ohci_hcd uhci_hcd
Pid: 8784, comm: java Tainted: P      D 2.6.23.1-21.fc7 #1
RIP: 0010:[<ffffffff8103831c>]  [<ffffffff8103831c>] exit_mm+0x8c/0xf3
RSP: 0018:ffff81004110bd48  EFLAGS: 00010287
RAX: 0000000000000001 RBX: ffff810052ffda80 RCX: 0000000000000260
RDX: 0000000000000000 RSI: 0000000000000014 RDI: ffff810052ffdaec
RBP: ffff810052ffdae8 R08: ffff810002239638 R09: 0000000000000a9e
R10: 0000000000000287 R11: 0000000000000000 R12: ffff81000b356820
R13: ffff81004110be78 R14: ffff81004110bef8 R15: ffff81004110bf58
FS:  00000000408c9950(0000) GS:ffffffff813b3000(0000) knlGS:00000000f65948e0
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002aaad809eef0 CR3: 000000001ab7f000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process java (pid: 8784, threadinfo ffff81004110a000, task ffff81000b356820)
Stack:  ffff810028d21040 ffff81000b356820 0000000000000000 ffffffff810397d0
 ffff81004110bf58 0000000000000000 ffff810028d21040 0000000000000000
 0000000000000527 ffff81004110be78 ffff81004110bef8 ffffffff81039dbf
Call Trace:
 [<ffffffff810397d0>] do_exit+0x275/0x7e5
 [<ffffffff81039dbf>] sys_exit_group+0x0/0xe
 [<ffffffff81040db3>] get_signal_to_deliver+0x3aa/0x3d8
 [<ffffffff8100b0a9>] do_notify_resume+0xa8/0x732
 [<ffffffff8104e0a2>] do_futex+0x74/0x9d9
 [<ffffffff8111b533>] __up_read+0x19/0x7f
 [<ffffffff812588bc>] do_page_fault+0x490/0x7e4
 [<ffffffff81254dcb>] thread_return+0x0/0xd8
 [<ffffffff81064564>] audit_syscall_exit+0x2e1/0x300
 [<ffffffff8100bdcf>] int_signal+0x12/0x17


Code: 0f 0b eb fe 49 8d bc 24 e0 06 00 00 e8 ad e4 21 00 48 8d 7b
RIP  [<ffffffff8103831c>] exit_mm+0x8c/0xf3
 RSP <ffff81004110bd48>
Fixing recursive fault but reboot is needed!
Comment 25 Bug Zapper 2008-05-14 10:45:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2008-06-16 22:40:34 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.